# Define the system of units to use internally. 
InternalUnitSystem:
  UnitMass_in_cgs:     1.98848e33        # Grams
  UnitLength_in_cgs:   3.08567758e18     # Centimeters
  UnitVelocity_in_cgs: 1e5               # Centimeters per second
  UnitCurrent_in_cgs:  1   # Amperes
  UnitTemp_in_cgs:     1   # Kelvin

# Parameters governing the time integration
TimeIntegration:
  time_begin: 0     # The starting time of the simulation (in internal units).
  time_end:   968.  # The end time of the simulation (in internal units).
  dt_min:     1e-4  # The minimal time-step size of the simulation (in internal units).
  dt_max:     10.   # The maximal time-step size of the simulation (in internal units).

# Parameters governing the conserved quantities statistics
Statistics:
  delta_time:          12. # Time between statistics output
  
# Parameters governing the snapshots
Snapshots:
  basename:    Disc-Patch   # Common part of the name of output files
  time_first:  0.           # Time of the first output (in internal units)
  delta_time:  48.          # Time difference between outputs (in internal units)

# Parameters for the hydrodynamics scheme
SPH:
  resolution_eta:        1.2349   # Target smoothing length in units of the mean inter-particle separation (1.2349 == 48Ngbs with the cubic spline kernel).
  delta_neighbours:      0.1      # The tolerance for the targetted number of neighbours.
  CFL_condition:         0.1      # Courant-Friedrich-Levy condition for time integration.
  max_ghost_iterations:  30       # Maximal number of iterations allowed to converge towards the smoothing length.
  h_max:                 60.      # Maximal smoothing length allowed (in internal units).

# Parameters related to the initial conditions
InitialConditions:
  file_name:  Disc-Patch.hdf5       # The file to read
  periodic:   1
  
# External potential parameters
DiscPatchPotential:
  surface_density: 10.
  scale_height:    100.
  x_disc:          400.
  x_trunc:         300.
  x_max:           350.
  timestep_mult:   0.03
  growth_time:     5.
